# django-pygwalker
[![Downloads](https://static.pepy.tech/badge/django-pygwalker)](https://pepy.tech/project/django-pygwalker)
[![OpenSSF Best Practices](https://bestpractices.coreinfrastructure.org/projects/7516/badge)](https://bestpractices.coreinfrastructure.org/projects/7516)

![PyPI - Python](https://img.shields.io/pypi/pyversions/django-pygwalker)
![PyPI - Django](https://img.shields.io/pypi/djversions/django-pygwalker)

Django pygwalker is a utility used to create user interfaces for visual analysis, based on PyGWalker , from django querysets. 
For more information on PyGWalker see the github repo available here: https://github.com/Kanaries/pygwalker 

<br/>

## Code Quality
| Workflow | Description             | Status                                                                       |
|----------|-------------------------|------------------------------------------------------------------------------|
|Bandit|security checks|![Bandit](https://github.com/djangoaddicts/django-pygwalker/actions/workflows/bandit.yaml/badge.svg)|
|Black|code formatting|![Black](https://github.com/djangoaddicts/django-pygwalker/actions/workflows/black.yaml/badge.svg)|
|CodeQL|security analysis|[![CodeQL](https://github.com/djangoaddicts/django-pygwalker/actions/workflows/github-code-scanning/codeql/badge.svg)](https://github.com/djangoaddicts/django-pygwalker/actions/workflows/github-code-scanning/codeql)|
|Coveralls|code coverage status|![Coveralls](https://github.com/djangoaddicts/django-pygwalker/actions/workflows/coveralls.yaml/badge.svg)|
|Isort|python import ordering|![Isort](https://github.com/djangoaddicts/django-pygwalker/actions/workflows/isort.yaml/badge.svg)|
|Mypy|static type checking|![Mypy](https://github.com/djangoaddicts/django-pygwalker/actions/workflows/mypy.yaml/badge.svg)|
|Pytest|unit testing|![Pytest](https://github.com/djangoaddicts/django-pygwalker/actions/workflows/pytest.yaml/badge.svg)|
|Radon|code complexity analysis|![Radon](https://github.com/djangoaddicts/django-pygwalker/actions/workflows/radon.yaml/badge.svg)|
|Ruff|static code analysis|![Ruff](https://github.com/djangoaddicts/django-pygwalker/actions/workflows/ruff.yaml/badge.svg)|
|Safety|dependency scanner|![Saftey](https://github.com/djangoaddicts/django-pygwalker/actions/workflows/safety.yaml/badge.svg)|

### Code Coverage 
[![Coverage Status](https://coveralls.io/repos/github/djangoaddicts/django-pygwalker/badge.svg)](https://coveralls.io/github/djangoaddicts/django-pygwalker)

Dashboard:
https://coveralls.io/github/djangoaddicts/django-pygwalker

<br/>

## Documentation
[![Documentation Status](https://readthedocs.org/projects/django-pygwalker/badge/?version=latest)](https://django-pygwalker.readthedocs.io/en/latest/?badge=latest)

Full documentation can be found on http://django-pygwalker.readthedocs.org. 

Documentation source files are available in the docs folder.


<br/>

## License
django-pygwalker is licensed under the GNU-3 license (see the LICENSE file for details).

https://github.com/djangoaddicts/django-pygwalker/blob/main/LICENSE


<br/>

## Installation 


<br/>

## Features


<br/>

## Usage Example
